<?php
if(function_exists('vc_map')) {
	add_action( 'init', 'mascot_core_educacion_reg_shortcodes_element_holder', 998 );
}
function mascot_core_educacion_reg_shortcodes_element_holder() {
	class WPBakeryShortCode_tmvc_element_holder  extends WPBakeryShortCodesContainer {}
	$bgtext_options = esc_html__( 'Background Text Options', 'mascot-core' );
	vc_map( array(
		"name" =>  __( 'Element Holder', 'mascot-core' ),
		"base" => "tmvc_element_holder",
		"as_parent" => array('except' => 'vc_row, vc_accordion'),
		"content_element" => true,
		"category" => esc_html__( 'by TM', 'mascot-core' ),
		"icon" => 'mascot-vc-icons vc-icon-custom-columns-holder',
		"show_settings_on_create" => false,
		"js_view" => 'VcColumnView',
		'params' => array(
			array(
				'type'			=> 'textfield',
				"heading"		=> esc_html__( "Custom CSS class", 'mascot-core' ),
				"param_name"	=> "custom_css_class",
				"description"	=> esc_html__( 'To style particular content element.', 'mascot-core' ),
			),

			array(
				'type'			=> 'textfield',
				"heading"		=> esc_html__( "Background Text", 'mascot-core' ),
				"param_name"	=> "bg_text",
				'admin_label'   => true,
				'group'			=> $bgtext_options
			),

			array(
				'type'			=> 'textfield',
				"heading"		=> esc_html__( "Background Text Custom CSS class", 'mascot-core' ),
				"param_name"	=> "bg_text_custom_css_class",
				'group'			=> $bgtext_options
			),

			array(
				'type'			=> 'textfield',
				"heading"		=> esc_html__( "Background Text Custom Style", 'mascot-core' ),
				"param_name"	=> "bg_text_style",
				"description"	=> esc_html__( 'Example: color: #f1f1f1; font-size: 120px; line-height: 1; top: 12px; left: 100px;', 'mascot-core' ),
				'admin_label'   => true,
				'group'			=> $bgtext_options
			),

			mascot_core_educacion_row_typography(),
			vc_map_add_css_animation(),
			mascot_core_educacion_vc_add_css_editor(),
		)
	) );
}